#
#       Makefile for grph1/append
#

ROOTDIR = ../../..

LIBOBJS		= map3d1.exe \
                  map3d2.exe map3d3.exe map3d4.exe map3d5.exe map3d6.exe \
                  g2pk01.exe g2pk02.exe
EPSFILES	= map3d1_0001.eps map3d1_0002.eps map3d1_0003.eps \
                  map3d2_0001.eps map3d3_0001.eps map3d4_0001.eps map3d5_0001.eps \
                  map3d6_0001.eps g2pk01_0001.eps g2pk02_0001.eps

!include $(ROOTDIR)\MkInclude.win

build:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_POSTTARGET=build-exec

build-exec: mkobj $(EPSFILES) rmobj

install:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=install-exec
install-exec-unique:

clean:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win  subdirs \
            SUBDIRS_PRETARGET=clean-exec
clean-exec-unique:

mkobj: $(LIBOBJS)

rmobj:
	$(RM) $(LIBOBJS)

map3d1_0001.eps:
	echo 2 | map3d1.exe -sw_ifl=2 -sw_fname=map3d1

map3d1_0002.eps: map3d1_0001.eps

map3d1_0003.eps: map3d1_0001.eps

map3d2_0001.eps:
	echo 2 | map3d2.exe -sw_ifl=2 -sw_fname=map3d2

map3d3_0001.eps:
	echo 2 | map3d3.exe -sw_ifl=2 -sw_fname=map3d3

map3d4_0001.eps:
	echo 2 | map3d4.exe -sw_ifl=2 -sw_fname=map3d4

map3d5_0001.eps:
	echo 2 | map3d5.exe -sw_ifl=2 -sw_fname=map3d5

map3d6_0001.eps:
	echo 2 | map3d6.exe -sw_ifl=2 -sw_fname=map3d6

g2pk01_0001.eps:
	echo 2 | g2pk01.exe -sw_ifl=2 -sw_fname=g2pk01

g2pk02_0001.eps:
	echo 2 | g2pk02.exe -sw_ifl=2 -sw_fname=g2pk02
